Bug 217675 - anaconda RPM can't build with latest FC5 glibc
anaconda RPM can't build with latest FC5 glibc
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
5
ppc64 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-29 05:59 EST by Jean-Christophe Dubois
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-04 15:41:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jean-Christophe Dubois 2006-11-29 05:59:12 EST
Description of problem:

anaconda RPM can't be rebuild with latest glibc (2.4.11) installed. This is 
true at least on PPC64 platform. downgrading to glibc 2.4.4 allows the 
anaconda RPM build to proceed.

Version-Release number of selected component (if applicable):

glibc-*2.4.11*rpm


How reproducible:

Always (it seems)


Steps to Reproduce:
1. install an up to date PPC64 FC5 system (yum update)
2. bring in the anaconda SRPM and install it
3. build anaconda: cd /usr/src/redhat; rpmbuild -ba 
SPECS/anaconda.spec --target=ppc
  
Actual results:

# rpmbuild -ba SPECS/anaconda.spec --target=ppc
Building target platforms: ppc
Building for target ppc
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.96372
...
gcc -g -static -o loader loader.o log.o moduleinfo.o loadermisc.o modules.o 
moduledeps.o windows.o lang.o kbd.o modstubs.o driverdisk.o selinux.o md5.o 
mediacheck.o kickstart.o driverselect.o getparts.o dirbrowser.o pcmcia.o usb.o 
firewire.o hardware.o method.o cdinstall.o hdinstall.o nfsinstall.o 
urlinstall.o net.o urls.o ftp.o telnet.o telnetd.o -lpopt     \
-lkudzu_loader   -lpci ../isys/libisys.a -lz ../stubs/libunicode-lite.a \
-lpump -lresolv -lnewt -lslang -ldevmapper -lselinux -lsepol
ftp.o: In function `ftpOpen':
/usr/src/redhat/BUILD/anaconda-11.0.5/loader2/ftp.c:244: warning: 
Using 'getpwuid' in statically linked applications requires at runtime the 
shared libraries from the glibc version used for linking
/usr/lib/gcc/ppc64-redhat-linux/4.1.1/../../../../lib/libc.a(setlocale.o):
(.rodata+0x9c): multiple definition of `_nl_category_name_sizes'
../stubs/libunicode-lite.a(unicode-lite.o):/usr/src/redhat/BUILD/anaconda-11.0.5/stubs/unicode-lite.c:43: 
first defined here
/usr/bin/ld: Warning: size of symbol `_nl_category_name_sizes' changed from 52 
in ../stubs/libunicode-lite.a(unicode-lite.o) to 13 
in /usr/lib/gcc/ppc64-redhat-linux/4.1.1/../../../../lib/libc.a(setlocale.o)
/usr/lib/gcc/ppc64-redhat-linux/4.1.1/../../../../lib/libc.a(setlocale.o):
(.rodata+0x0): multiple definition of `_nl_category_names'
../stubs/libunicode-lite.a(unicode-lite.o):/usr/src/redhat/BUILD/anaconda-11.0.5/stubs/unicode-lite.c:21: 
first defined here
/usr/bin/ld: Warning: size of symbol `_nl_category_names' changed from 52 
in ../stubs/libunicode-lite.a(unicode-lite.o) to 137 
in /usr/lib/gcc/ppc64-redhat-linux/4.1.1/../../../../lib/libc.a(setlocale.o)
/usr/lib/gcc/ppc64-redhat-linux/4.1.1/../../../../lib/libc.a(setlocale.o): In 
function `_nl_locale_subfreeres':
(__libc_freeres_fn+0x100): multiple definition of `_nl_locale_subfreeres'
../stubs/libunicode-lite.a(unicode-lite.o):/usr/src/redhat/BUILD/anaconda-11.0.5/stubs/unicode-lite.c:21: 
first defined here
/usr/bin/ld: Warning: size of symbol `_nl_locale_subfreeres' changed from 12 
in ../stubs/libunicode-lite.a(unicode-lite.o) to 756 
in /usr/lib/gcc/ppc64-redhat-linux/4.1.1/../../../../lib/libc.a(setlocale.o)
/usr/lib/gcc/ppc64-redhat-linux/4.1.1/../../../../lib/libc.a(setlocale.o): In 
function `setlocale':
(.text+0x340): multiple definition of `setlocale'
../stubs/libunicode-lite.a(unicode-lite.o):/usr/src/redhat/BUILD/anaconda-11.0.5/stubs/unicode-lite.c:40: 
first defined here
/usr/bin/ld: Warning: size of symbol `setlocale' changed from 52 
in ../stubs/libunicode-lite.a(unicode-lite.o) to 1928 
in /usr/lib/gcc/ppc64-redhat-linux/4.1.1/../../../../lib/libc.a(setlocale.o)
collect2: ld returned 1 exit status
make[1]: *** [loader] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/anaconda-11.0.5/loader2'
make: *** [subdirs] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.68469 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.68469 (%build)

Expected results:

Anaconda RPMs build and ready to install

Additional info:
Comment 1 Jeremy Katz 2006-12-04 15:41:56 EST
anaconda often needs changes for system changes; I know we adjusted for this in
FC6 anaconda and you can probably find and pull in the specific fix, but we
don't generally update anaconda post-release

Note You need to log in before you can comment on or make changes to this bug.